uniform vec2 _centPos;
uniform float _speed;
uniform float _time;

//使用灰色
uniform int _usedGray;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

bool posInCircle()
{
    bool ret = false;
    
    vec2 fragCoord = gl_FragCoord.xy;
    
    float checkDis = distance(_centPos,fragCoord);
    
    float dis = _speed*_time;
    
    if(checkDis <  dis)
    {
        ret = true;
    }
    
    return ret;
}

//优先判断是否要使用灰度  如果使用灰度则要判断是否现在的点判断圆的范围中,不在使用原色
void main()
{
    //避免一直弹出错误信息
    int useGray = _usedGray;
    vec2 centPos = _centPos;
    float speed = _speed;
    float time1 = _time;
    
	if(_usedGray == 1)
    {
        bool IsInCircle = posInCircle();
        if(IsInCircle)
        {
            //人体眼的色彩
//            0.30 * R + 0.59 * G + 0.11 * B
            vec4 originColor = texture2D(CC_Texture0, v_texCoord);
            float grayColor = 0.30*originColor.r+0.59*originColor.g+0.11*originColor.b;
            vec4 finalColor = vec4(grayColor,grayColor,grayColor,originColor.a);
            gl_FragColor=finalColor;
            
        }
        else
        {
            gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
        }
    }
    else
    {
        gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    }
}



