
varying vec4 v_fragmentColor;	
varying vec2 v_texCoord;
uniform float fMax;
uniform float fMin;
uniform float fShadowLength;
uniform int nShadowType;

void main()			
{
	vec4 v_orColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    
    float fDToMax;
    float fDToMin;
    
    if(nShadowType == 0)
    {//默认纵向
        fDToMax = fMax - gl_FragCoord.y;
        fDToMin = gl_FragCoord.y - fMin;
    }else if(nShadowType == 1){//横向
        fDToMax = fMax - gl_FragCoord.x;
        fDToMin = gl_FragCoord.x - fMin;
    }
    
    if(fDToMax < fShadowLength)
    {
        gl_FragColor = vec4(v_orColor.r,v_orColor.g,v_orColor.b,v_orColor.a*fDToMax/fShadowLength);
        return;
    }
    
    if(fDToMin < fShadowLength)
    {
        gl_FragColor = vec4(v_orColor.r,v_orColor.g,v_orColor.b,v_orColor.a*fDToMin/fShadowLength);
        return;
    }
    
    gl_FragColor = vec4(v_orColor.r,v_orColor.g,v_orColor.b,v_orColor.a);
}
